#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  dbus-glib-0.110

- Next

  enchant-2.2.15

- Up
- Home

# Double-conversion-3.1.5

## Introduction to Double-conversion

The Double-conversion package contains a library that facilitates binary-to-decimal and decimal-to-binary routines for IEEE doubles.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/google/double-conversion/archive/v3.1.5/double-conversion-3.1.5.tar.gz

- Download MD5 sum: e94d3a33a417e692e5600e75019f0272

- Download size: 6.7 MB

- Estimated disk space required: 54 MB

- Estimated build time: 0.1 SBU

### Double-conversion Dependencies

#### Required

CMake-3.19.5

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/double-conversion

## Installation of Double-conversion

Install Double-conversion by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_SHARED_LIBS=ON      \
          -DBUILD_TESTING=ON          \
          ..                          &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_SHARED_LIBS=ON`: This switch forces cmake to build a shared version of the library instead of the static version.

`-DBUILD_TESTING=ON`: This switch builds the test programs.

## Contents

Installed Programs: None
Installed Libraries: libdouble-conversion.so
Installed Directories: /usr/include/double-conversion

### Short Descriptions

`libdouble-conversion.so` | provides binary-to-decimal and decimal-to-binary routines for IEEE doubles

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  dbus-glib-0.110

- Next

  enchant-2.2.15

- Up
- Home